#ifndef LIGHTPROGRAM_H
#define LIGHTPROGRAM_H

#include <GL/glew.h>

#include "matma.h"
#include "material.h"
#include "modelprogram.h"

class LightProgram: public ModelProgram{
public:
    void Initialize(const char* vertex_shader_file, const char* fragment_shader_file);
    void SetMaterial(const Material &material) const;
    void SetNormalMatrix(const Mat3 &) const;
private:
    GLint normal_matrix_location_;
    struct MaterialLocations{
        GLint emission;
        GLint ambient;
        GLint diffuse;
        GLint specular;
        GLint shininess;
    } material_locations_;

};

#endif // LIGHTPROGRAM_H
